/***************************************************************************

    source::worx xtree
    Copyright © 2024-2025 c.holzheuer
    christoph.holzheuer@gmail.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

***************************************************************************/


#ifndef XQCHILDMODEL_H
#define XQCHILDMODEL_H


#include <xqviewmodel.h>



class XQChildModel : public XQViewModel
{
  Q_OBJECT

public:

  explicit XQChildModel(QObject *parent = nullptr);
  virtual ~XQChildModel() = default;

  void addModelData(const XQNodePtr& contentRoot );
  void addSectionEntry( const QString& key, const XQNodePtr& contentEntry );

protected:

  //void setupViewProperties() override;
  void initContextMenu() override;

};

#endif // XQCHILDMODEL_H
